Package tigase.util.tracer

# Class TigaseTracer

java.lang.Object
tigase.util.tracer.TigaseTracer

public class TigaseTracer extends Object
Created: Jun 30, 2009 5:18:10 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TRACER_CIDS_PROP_KEY`
  `static final String`
  `TRACER_IPS_PROP_KEY`
  `static final String`
  `TRACER_JIDS_PROP_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addCid(String cid)`
  `static void`
  `addIP(String ip)`
  `static void`
  `addJid(String jid)`
  `static TigaseTracer`
  `getTracer(String name)`
  `static void`
  `removeCid(String cid)`
  `static void`
  `removeIP(String ip)`
  `static void`
  `removeJid(String jid)`
  `boolean`
  `trace(String ip, String to_jid, String from_jid, String cid, String id, String point, String msg, Packet packet)`
  `boolean`
  `traceByCid(String cid, String point, String msg, Packet packet)`
  `boolean`
  `traceByFromJid(String jid, String point, String msg, Packet packet)`
  `boolean`
  `traceByToJid(String jid, String point, String msg, Packet packet)`
  `boolean`
  `tracegByIP(String ip, String point, String msg, Packet packet)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRACER_IPS_PROP_KEY

    public static final String TRACER_IPS_PROP_KEY
    See Also:
      - Constant Field Values

  - ### TRACER_JIDS_PROP_KEY

    public static final String TRACER_JIDS_PROP_KEY
    See Also:
      - Constant Field Values

  - ### TRACER_CIDS_PROP_KEY

    public static final String TRACER_CIDS_PROP_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### addCid

    public static void addCid(String cid)

  - ### addIP

    public static void addIP(String ip)

  - ### addJid

    public static void addJid(String jid)

  - ### getTracer

    public static TigaseTracer getTracer(String name)

  - ### removeCid

    public static void removeCid(String cid)

  - ### removeIP

    public static void removeIP(String ip)

  - ### removeJid

    public static void removeJid(String jid)

  - ### trace

    public boolean trace(String ip, String to_jid, String from_jid, String cid, String id, String point, String msg, Packet packet)

  - ### tracegByIP

    public boolean tracegByIP(String ip, String point, String msg, Packet packet)

  - ### traceByToJid

    public boolean traceByToJid(String jid, String point, String msg, Packet packet)

  - ### traceByFromJid

    public boolean traceByFromJid(String jid, String point, String msg, Packet packet)

  - ### traceByCid

    public boolean traceByCid(String cid, String point, String msg, Packet packet)